/* 'Do You Struggle With This?' section */
.dark {
  margin-top: 5px;
  max-width: 1280px;
  justify-content: center;
  background: #272727;
}
.dark h2 {
  font-size: 30px;     /* increase size */
  font-weight: 800;
  margin-bottom: 20px;
}
.icon-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  margin-top: 30px;
  font-size: 22px;
  font-weight: 500;
}

.icon-grid div {
  background: #000;
  border: 1.5px solid #ffcc00;
  border-radius: 8px;

  padding: 8px 12px;          /* equal spacing from all sides */
  min-height: 72px;            /* equal box height */
  
  display: flex;               /* align icon + text */
  align-items: center;         /* vertical center */
  justify-content: center;     /* horizontal center */
  gap: 14px;

  text-align: center;
}

.icon-grid i {
  color: #ffcc00;
  margin-left: 10px;
  font-size: 30px;
  flex-shrink: 0;
}
